<?php
namespace Modules\API\APIInterne\OxaMobility\Controller;

use GuzzleHttp\Psr7\Response;

// phpcs:ignore
class PAGE_FicheArticleController extends AbsApiController
{

    public function INITAction() :Response
    {
        $trad = $this->getTranslationService();
        $return['Trads']['MLS_TexteBoutonRetour'] = $trad->t('Retour');
        $return['Trads']['MLS_CodeArt'] = $trad->t('Code');
        $return['Trads']['MLS_Ref'] = $trad->t('Référence :');
        $return['Trads']['MLS_Fournisseur'] = $trad->t('Fournisseur :');
        $return['Trads']['MLS_Code_ACD'] = $trad->t('Code accord-cadre');
        $return['Trads']['MLS_Code_SFA'] = $trad->t('Code sous-famille');
        $return['Trads']['MLS_Lib_SFA'] = $trad->t('Libellé sous-famille');
        $return['Trads']['MLS_Btn_Valider'] = $trad->t('Valider');
        $return['Trads']['MLS_Btn_Supprimer'] = $trad->t('Supprimer cet article');
        $return['Trads']['MLS_TVA'] = $trad->t('TVA');
        $return['Trads']['MLS_Desc'] = $trad->t('Description');
        $return['Trads']['MLS_Des_Comp'] = $trad->t('Désignation complémentaire');
        $return['Trads']['MLS_Prix'] = $trad->t('Prix (HT)');
        $return['Trads']['MLS_Unite'] = $trad->t('Unité :');
        $return['Trads']['MLS_Qte'] = $trad->t('Quantité');
        $return['Trads']['MLS_Total'] = $trad->t('Total (HT)');
        $return['Trads']['MLS_FournisseurSelectRapide'] = $trad->t('Sélection rapide du fournisseur');
        $return['Trads']['MLS_Design_Oblig'] = $trad->t('La désignation de l\'article est obligatoire, veuillez vérifier');
        $return['Trads']['MLS_Qte_Oblig'] = $trad->t('La quantité saisie doit être supérieure à 0.');
        $return['Trads']['MLS_Ref_Indication'] = $trad->t('Référence...');
        $return['Trads']['MLS_Design_Indication'] = $trad->t('Désignation de l\'article...');
        $return['Trads']['MLS_Des_Comp_Indication'] = $trad->t('Désignation complémentaire de l\'article...');
        $return['Trads']['MLS_Prix_Oblig'] = $trad->t('Le prix est obligatoire');
        $return['Trads']['MLS_Fourn_Oblig'] = $trad->t('Le fournisseur est obligatoire');
        $return['Trads']['MLS_Lib_FAM'] = $trad->t('Famille');
        $return['Trads']['MLS_Ref_Fournisseur'] = $trad->t('Réf. fournisseur');
        $return['Trads']['MLS_Ref_Fabricant'] = $trad->t('Réf. Fabricant');
        $return['Trads']['MLS_Caract_Technique'] = $trad->t('Caractéristiques Techniques');
        $return['Trads']['MLS_Design'] = $trad->t('Désignation article');
        $return['Trads']['MLS_LibSI'] = $trad->t('Section d\'imputation');
        $return['Trads']['MLS_LibCDC'] = $trad->t('Code complémentaire');
        $return['Trads']['MLS_LibSCA'] = $trad->t('Sous-compte d\'analyse');
        $return['Trads']['MLS_LibCG'] = $trad->t('Code gestion');
        $return['Trads']['MLS_DateLivr'] = $trad->t('Date de livraison');
        
        return $this->createApiResponse($return);
    }
}
